### Method

# Gio FileInfo get_display_name

#### Declaration

    const char*
    g_file_info_get_display_name (
      GFileInfo* info
    )

#### Description

Gets a display name for a file. This is guaranteed to always be set.

It is an error to call this if the `GFileInfo` does not contain `G_FILE_ATTRIBUTE_STANDARD_DISPLAY_NAME`.

#### Return value

Type: `const char*`

A string containing the display name.

The returned data is owned by the instance.
The value is a NUL terminated UTF-8 string.